Pagination
Pagination
API that return collections will return resources in paginated format. Pagination is performed even if no more than one page of data exists.
- API requests use a query string argument to specify the pagination parameter
limitparameter MUST be used to specify the maximum number of resources to return per page- Client SHOULD NOT use
limitvalue to determine whether additional pages of resources exist - Client SHOULD use
nextto determine if additional pages exist
Limit Parameter
| Name |
|---|
limit |
Pattern
GET {url}/{version}/orgs/{orgId}/{resource_type}?limit={value}
Path Example
GET {url}/v1/orgs/9467895078742654934/notifications?limit=3
Pagination Properties
| Name |
|---|
cursors |
after |
next |
The following API support pagination:
| Resource | Service |
|---|---|
| Brand | Get |
| Brand Asset | Get |
| Feedback | Get |
| Notifications | Get |
| Location Asset | Get |
| Showcase | Get |
| Showcase Creative | Get |
Cursor-based Pagination
Cursor-based pagination uses an opaque, ephemeral cursor that is used with the after query string arguments to retrieve the next pages of data. The value of the cursor is an internal object ID and is not the ID of the object exposed to the client.
Example Pagination
Path
GET {url}/v1/orgs/9467895078742654934/notifications?limit=3
Four notification resources exist in total. The initial response only returns the first three resources because of the limit. The second page will exclude after and next because no more resource are available.
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654924",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654900",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"etag": "5c8db178-ddd4-11ec-8a61-f78830620abb",
"state": "REJECTED"
}
},
{
"orgId": "9467895078742654934",
"id": "9467895078742654914",
"createdDate": "2026-10-09T14:12:46.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654918",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918",
"etag": "75b7339a-ddd4-11ec-8e49-af60e95b5e14",
"state": "REJECTED"
}
},
{
"orgId": "9467895078742654934",
"id": "9467895078742654913",
"createdDate": "2026-10-09T15:02:16.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654999",
"resourceDetails": {
"resourceType": "IMAGE",
"resourceId": "9467895078742654976",
"etag": "4e895868-0dc5-11ed-861d-0242ac120002",
"state": "REJECTED"
}
}
],
"pagination": {
"cursors": {
"after": "2f54a61d9b495487"
},
"next": "/v1/orgs/9467895078742654934/notifications?limit=3&after=2f54a61d9b495487"
}
}